Update Field Request Item

Updates the requested quantity of a line item. The material on an existing line cannot be changed — delete the item and add a new one instead.

Requires scope: field_requests:write

Authentication

API_KEYstring
API Key authentication via header

Path parameters

idUUIDRequired
Field request ID.
itemIdUUIDRequired
Field request item ID.

Request

This endpoint expects an object.
quantitydoubleRequired
Updated requested quantity. Must be greater than zero.

Response

This endpoint returns an object.
idUUID
Unique identifier for the line item.
createdAtdatetime
ISO 8601 timestamp when the record was created.
updatedAtdatetime
ISO 8601 timestamp when the record was last updated.
materialobjectOptional
The material being requested.
variationobjectOptional
The specific material variation being requested.
requestedQuantitydoubleOptional
Quantity requested.
receivedQuantitydoubleOptional

Quantity received so far. Starts at 0.

statusenumOptional

Fulfillment status of this line. New items start as PENDING.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Rate Limit Error